///////// EXAMPLE OF GEN COLUMN ///////////////

var txtBlck = new FrameworkElementFactory(typeof(TextBlock));

txtBlck.SetBinding(TextBlock.TextProperty, new Binding(colName));
txtBlck.SetValue(FrameworkElement.VerticalAlignmentProperty, VerticalAlignment.Center);

var cTmp = new DataTemplate { VisualTree = txtBlck };
var eTmp = await TemplateHelper.GetTemplateByTypeAsync(@class, property, colName);

var colap = new GridTemplateColumn
{
	MappingName   = colName,
	HeaderText    = headerText,
    CellTemplate  = cTmp,
    EditTemplate  = eTmp,
    ColumnSizer   = GridLengthUnitType.Auto,
    AllowResizing = true
};

return colap;


///////// EXAMPLE OF CLASS WHICH WORK ///////////////

	/// <summary>
    /// The groupe faimille.
    /// </summary>
    public class GroupFamily
    {
		/// <summary>
        /// Gets or sets the id.
        /// </summary>
        [DisplayInfo(IsVisible = false)]
        public Guid Id { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        [DisplayInfo(Order = 1)]
        public string Name { get; set; }
    }
	
	

///////// EXAMPLE OF CLASS WHICH WONT ///////////////

	/// <summary>
    /// The famille.
    /// </summary>
    public class Family : FamilyBase, IImageSourceByte
    {
        /// <summary>
        /// Gets or sets the group.
        /// </summary>
        public virtual GroupFamily GroupFamily { get; set; }
		
		/// <summary>
        /// Gets or sets the id.
        /// </summary>
        [DisplayInfo(IsVisible = false)]
        public Guid Id { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        [DisplayInfo(Order = 1)]
        public string Name { get; set; }
	}